Create Placement
Creates a Placement.
Template Files
To view the list of values accepted by the template_file property, including custom templates, see Placements.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
template_file
The template file that you would like to target.
widget_uuid
A widget identifier.
channel_id
The id of the channel on which to create this placement. Defaults to the first channel created on the store.
entity_id
The identifier of a page you would like to target. For product pages, choose product ID. For category pages, choose category ID. Home page does not support entity_id.
region
The name of the region in which to insert content widgets.
sort_order
The sort order to control the position of a content widget in a region.
status
Sets the placement as either inactive or active.
Allowed values:
Response
The requested widget placement.
data
meta
Response metadata.
Errors
422
Unprocessable Entity Error